Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce
Class PKCS10CertificationRequest

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.pkcs.CertificationRequest
                  |
                  +--org.bouncycastle.jce.PKCS10CertificationRequest

All Implemented Interfaces:
  DEREncodable

public class PKCS10CertificationRequest
extends CertificationRequest

A class for verifying and creating PKCS10 Certification requests.

     CertificationRequest ::= SEQUENCE {
       certificationRequestInfo  CertificationRequestInfo,
       signatureAlgorithm        AlgorithmIdentifier{{ SignatureAlgorithms }},
       signature                 BIT STRING
     }

     CertificationRequestInfo ::= SEQUENCE {
       version             INTEGER { v1(0) } (v1,...),
       subject             Name,
       subjectPKInfo   SubjectPublicKeyInfo{{ PKInfoAlgorithms }},
       attributes          [0] Attributes{{ CRIAttributes }}
      }

      Attributes { ATTRIBUTE:IOSet } ::= SET OF Attribute{{ IOSet }}

      Attribute { ATTRIBUTE:IOSet } ::= SEQUENCE {
        type    ATTRIBUTE.&id({IOSet}),
        values  SET SIZE(1..MAX) OF ATTRIBUTE.&Type({IOSet}{\@type})
      }

Fields inherited from class org.bouncycastle.asn1.pkcs.CertificationRequest
`reqInfo, sigAlgId, sigBits`

Constructor Summary
`PKCS10CertificationRequest(ASN1Sequence sequence)`
`PKCS10CertificationRequest(byte[] bytes)` construct a PKCS10 certification request from a DER encoded byte stream.
`PKCS10CertificationRequest(java.lang.String signatureAlgorithm, X509Name subject, java.security.PublicKey key, ASN1Set attributes, java.security.PrivateKey signingKey)` create a PKCS10 certfication request using the BC provider.
`PKCS10CertificationRequest(java.lang.String signatureAlgorithm, X509Name subject, java.security.PublicKey key, ASN1Set attributes, java.security.PrivateKey signingKey, java.lang.String provider)` create a PKCS10 certfication request using the named provider.

Method Summary
`byte[]` | `getEncoded()` return a DER encoded byte array representing this object
`java.security.PublicKey` | `getPublicKey()` return the public key associated with the certification request - the public key is created using the BC provider.
`java.security.PublicKey` | `getPublicKey(java.lang.String provider)`
`boolean` | `verify()` verify the request using the BC provider.
`boolean` | `verify(java.lang.String provider)`

Methods inherited from class org.bouncycastle.asn1.pkcs.CertificationRequest
`getCertificationRequestInfo, getSignature, getSignatureAlgorithm, toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS10CertificationRequest

    public PKCS10CertificationRequest(byte[] bytes)

  construct a PKCS10 certification request from a DER encoded byte stream.

### PKCS10CertificationRequest

    public PKCS10CertificationRequest(ASN1Sequence sequence)

### PKCS10CertificationRequest

    public PKCS10CertificationRequest(java.lang.String signatureAlgorithm,
                                      X509Name subject,
                                      java.security.PublicKey key,
                                      ASN1Set attributes,
                                      java.security.PrivateKey signingKey)
                               throws java.security.NoSuchAlgorithmException,
                                      java.security.NoSuchProviderException,
                                      java.security.InvalidKeyException,
                                      java.security.SignatureException

  create a PKCS10 certfication request using the BC provider.

### PKCS10CertificationRequest

    public PKCS10CertificationRequest(java.lang.String signatureAlgorithm,
                                      X509Name subject,
                                      java.security.PublicKey key,
                                      ASN1Set attributes,
                                      java.security.PrivateKey signingKey,
                                      java.lang.String provider)
                               throws java.security.NoSuchAlgorithmException,
                                      java.security.NoSuchProviderException,
                                      java.security.InvalidKeyException,
                                      java.security.SignatureException

  create a PKCS10 certfication request using the named provider.

Method Detail

### getPublicKey

    public java.security.PublicKey getPublicKey()
                                         throws java.security.NoSuchAlgorithmException,
                                                java.security.NoSuchProviderException,
                                                java.security.InvalidKeyException

  return the public key associated with the certification request - the public key is created using the BC provider.

### getPublicKey

    public java.security.PublicKey getPublicKey(java.lang.String provider)
                                         throws java.security.NoSuchAlgorithmException,
                                                java.security.NoSuchProviderException,
                                                java.security.InvalidKeyException

### verify

    public boolean verify()
                   throws java.security.NoSuchAlgorithmException,
                          java.security.NoSuchProviderException,
                          java.security.InvalidKeyException,
                          java.security.SignatureException

  verify the request using the BC provider.

### verify

    public boolean verify(java.lang.String provider)
                   throws java.security.NoSuchAlgorithmException,
                          java.security.NoSuchProviderException,
                          java.security.InvalidKeyException,
                          java.security.SignatureException

### getEncoded

    public byte[] getEncoded()

  return a DER encoded byte array representing this object
  Overrides:
    `getEncoded` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD